# BitStream.h File Reference

This class allows you to write and read native types as a string of bits. More...

`#include "RakMemoryOverride.h"`
`#include "RakNetDefines.h"`
`#include "Export.h"`
`#include "RakNetTypes.h"`
`#include "RakString.h"`
`#include "RakAssert.h"`
`#include <math.h>`
`#include <float.h>`

## Classes

class | RakNet::BitStream

## Namespaces

namespace | RakNet
| Forward declaration.

## Detailed Description

This class allows you to write and read native types as a string of bits.

BitStream is used extensively throughout RakNet and is designed to be used by users as well.

This file is part of RakNet Copyright 2003 Jenkins Software LLC

Usage of RakNet is subject to the appropriate license agreement.